digiKam Developer Documentation: Digikam::DFileDialog Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Digikam::DFileDialog Class Reference
Inheritance diagram for Digikam::DFileDialog:

## Public Member Functions
| DFileDialog (QWidget *const parent, Qt::WindowFlags flags)
| DFileDialog (QWidget *const parent=nullptr, const QString &caption=QString(), const QString &directory=QString(), const QString &filter=QString())
bool | hasAcceptedUrls () const

## Static Public Member Functions
static QString | getExistingDirectory (QWidget *const parent=nullptr, const QString &caption=QString(), const QString &dir=QString(), Options options=ShowDirsOnly)
static QUrl | getExistingDirectoryUrl (QWidget *const parent=nullptr, const QString &caption=QString(), const QUrl &dir=QUrl(), Options options=ShowDirsOnly, const QStringList &supportedSchemes=QStringList())
static QString | getOpenFileName (QWidget *const parent=nullptr, const QString &caption=QString(), const QString &dir=QString(), const QString &filter=QString(), QString *selectedFilter=nullptr, Options options=Options())
static QStringList | getOpenFileNames (QWidget *const parent=nullptr, const QString &caption=QString(), const QString &dir=QString(), const QString &filter=QString(), QString *selectedFilter=nullptr, Options options=Options())
static QUrl | getOpenFileUrl (QWidget *const parent=nullptr, const QString &caption=QString(), const QUrl &dir=QUrl(), const QString &filter=QString(), QString *selectedFilter=nullptr, Options options=Options(), const QStringList &supportedSchemes=QStringList())
static QList< QUrl > | getOpenFileUrls (QWidget *const parent=nullptr, const QString &caption=QString(), const QUrl &dir=QUrl(), const QString &filter=QString(), QString *selectedFilter=nullptr, Options options=Options(), const QStringList &supportedSchemes=QStringList())
static QString | getSaveFileName (QWidget *const parent=nullptr, const QString &caption=QString(), const QString &dir=QString(), const QString &filter=QString(), QString *selectedFilter=nullptr, Options options=Options())
static QUrl | getSaveFileUrl (QWidget *const parent=nullptr, const QString &caption=QString(), const QUrl &dir=QUrl(), const QString &filter=QString(), QString *selectedFilter=nullptr, Options options=Options(), const QStringList &supportedSchemes=QStringList())